Stack
Date: 2016-06-24

java.util

## Class Stack

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractList
    - - java.util.Vector
      - - java.util.Stack

- All Implemented Interfaces:
    Serializable, Cloneable, Collection, List, RandomAccess

      public class Stack
      extends Vector

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `empty()`
    `Object` | `peek()`
    `Object` | `pop()`
    `Object` | `push(Object var0)`
    `int` | `search(Object var0)`

    - ### Methods inherited from class java.util.Vector

      `addElement, capacity, clone, copyInto, elementAt, elements, ensureCapacity, firstElement, get, indexOf, insertElementAt, lastElement, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### Stack

          public Stack()

  - ### Method Detail

    - #### empty

          public boolean empty()

    - #### peek

          public Object peek()

    - #### pop

          public Object pop()

    - #### push

          public Object push(Object var0)

    - #### search

          public int search(Object var0)